import jaggl.OpenGL;

public class Class156 implements Interface11 {

   int anInt1944;
   Class147_Sub4 aClass147_Sub4_1945;


   public void method9() {}

   public int method30() {
      return this.aClass147_Sub4_1945.anInt9953;
   }

   public int method35() {
      return this.aClass147_Sub4_1945.anInt9954;
   }

   public void method45(int var1) {
      OpenGL.glFramebufferTexture2DEXT('\u8d40', var1, this.aClass147_Sub4_1945.anInt1702, this.aClass147_Sub4_1945.anInt1701, this.anInt1944);
   }

   public void method10() {}

   public int method31() {
      return this.aClass147_Sub4_1945.anInt9953;
   }

   public int method32() {
      return this.aClass147_Sub4_1945.anInt9953;
   }

   public void method46(int var1) {
      OpenGL.glFramebufferTexture2DEXT('\u8d40', var1, this.aClass147_Sub4_1945.anInt1702, this.aClass147_Sub4_1945.anInt1701, this.anInt1944);
   }

   public int method33() {
      return this.aClass147_Sub4_1945.anInt9953;
   }

   Class156(Class147_Sub4 var1, int var2) {
      this.anInt1944 = var2;
      this.aClass147_Sub4_1945 = var1;
   }

   public int method34() {
      return this.aClass147_Sub4_1945.anInt9954;
   }

   public int method29() {
      return this.aClass147_Sub4_1945.anInt9954;
   }

   public void method8() {}

   public void method47(int var1) {
      OpenGL.glFramebufferTexture2DEXT('\u8d40', var1, this.aClass147_Sub4_1945.anInt1702, this.aClass147_Sub4_1945.anInt1701, this.anInt1944);
   }

   public void method44(int var1) {
      OpenGL.glFramebufferTexture2DEXT('\u8d40', var1, this.aClass147_Sub4_1945.anInt1702, this.aClass147_Sub4_1945.anInt1701, this.anInt1944);
   }
}
